[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# NativeInt

Alias for PtrInt

## Declaration

Source position: systemh.inc line 268

`type NativeInt = PtrInt;`

## Description

NativeInt is defined for Delphi compatibility. It is a signed integer with the size of a pointer, so 32-bit on 32-bit platforms, 64-bit on 64-bit platforms.

## See also

PtrInt |  | Signed integer type with same size as Pointer.
NativeUint |  | Alias for PtrUint

Documentation generated on: Feb 26 2014